# deque.tcc File Reference

Go to the source code of this file.

## Namespaces

- namespace std

## Functions

- template<typename _Tp > _Deque_iterator< _Tp, _Tp
  &, _Tp * > std::copy (_Deque_iterator< _Tp, const _Tp &, const _Tp * > __first, _Deque_iterator< _Tp, const _Tp &, const _Tp * > __last, _Deque_iterator< _Tp, _Tp &, _Tp * > __result)
- template<typename _Tp > _Deque_iterator< _Tp, _Tp
  &, _Tp * > std::copy_backward (_Deque_iterator< _Tp, const _Tp &, const _Tp * > __first, _Deque_iterator< _Tp, const _Tp &, const _Tp * > __last, _Deque_iterator< _Tp, _Tp &, _Tp * > __result)
- template<typename _Tp > void std::fill (const _Deque_iterator< _Tp, _Tp &, _Tp * > &__first, const _Deque_iterator< _Tp, _Tp &, _Tp * > &__last, const _Tp &__value)
- template<typename _Tp > _Deque_iterator< _Tp, _Tp
  &, _Tp * > std::move (_Deque_iterator< _Tp, const _Tp &, const _Tp * > __first, _Deque_iterator< _Tp, const _Tp &, const _Tp * > __last, _Deque_iterator< _Tp, _Tp &, _Tp * > __result)
- template<typename _Tp > _Deque_iterator< _Tp, _Tp
  &, _Tp * > std::move_backward (_Deque_iterator< _Tp, const _Tp &, const _Tp * > __first, _Deque_iterator< _Tp, const _Tp &, const _Tp * > __last, _Deque_iterator< _Tp, _Tp &, _Tp * > __result)

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file deque.tcc.